{
    attributes = (
        {
            columnName = "ENG_DATE_SAISIE"; 
            externalType = DATE; 
            name = engDateSaisie; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "ENG_HT_SAISIE"; 
            externalType = NUMBER; 
            name = engHtSaisie; 
            precision = 12; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            columnName = "ENG_ID"; 
            externalType = NUMBER; 
            name = engId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "ENG_LIBELLE"; 
            externalType = NUMBER; 
            name = engLibelle; 
            valueClassName = NSString; 
            width = 100; 
        }, 
        {
            columnName = "ENG_MONTANT_BUDGETAIRE"; 
            externalType = NUMBER; 
            name = engMontantBudgetaire; 
            precision = 12; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            columnName = "ENG_MONTANT_BUDGETAIRE_RESTE"; 
            externalType = NUMBER; 
            name = engMontantBudgetaireReste; 
            precision = 12; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            columnName = "ENG_NUMERO"; 
            externalType = NUMBER; 
            name = engNumero; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "ENG_TTC_SAISIE"; 
            externalType = NUMBER; 
            name = engTtcSaisie; 
            precision = 12; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            columnName = "ENG_TVA_SAISIE"; 
            externalType = NUMBER; 
            name = engTvaSaisie; 
            precision = 12; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            columnName = "EXE_ORDRE"; 
            externalType = NUMBER; 
            name = exeOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "FOU_ORDRE"; 
            externalType = NUMBER; 
            name = fouOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "ORG_ID"; 
            externalType = NUMBER; 
            name = orgId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "TAP_ID"; 
            externalType = NUMBER; 
            name = tapId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "TCD_ORDRE"; 
            externalType = NUMBER; 
            name = tcdOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "TYAP_ID"; 
            externalType = NUMBER; 
            name = tyapId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "UTL_ORDRE"; 
            externalType = NUMBER; 
            name = utlOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (
        engId, 
        engNumero, 
        exeOrdre, 
        fouOrdre, 
        orgId, 
        tapId, 
        tcdOrdre, 
        tyapId, 
        utlOrdre, 
        engLibelle
    ); 
    className = "org.cocktail.kaki.server.metier.EOEngage"; 
    classProperties = (
        engDateSaisie, 
        engHtSaisie, 
        engMontantBudgetaire, 
        engMontantBudgetaireReste, 
        engNumero, 
        engTtcSaisie, 
        engTvaSaisie, 
        tyapId, 
        organ, 
        exercice, 
        typeCredit, 
        engLibelle
    ); 
    externalName = "JEFY_DEPENSE.ENGAGE_BUDGET"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (
            engDateSaisie, 
            engHtSaisie, 
            engMontantBudgetaire, 
            engMontantBudgetaireReste, 
            engNumero, 
            engTtcSaisie, 
            engTvaSaisie, 
            exercice, 
            organ, 
            tyapId, 
            typeCredit, 
            engLibelle
        ); 
        "_javaClientClassName" = "org.cocktail.kaki.client.metier.EOEngage"; 
    }; 
    name = Engage; 
    primaryKeyAttributes = (engId); 
    relationships = (
        {
            destination = Exercice; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = exeOrdre; sourceAttribute = exeOrdre; }); 
            name = exercice; 
        }, 
        {
            destination = "ca_Organ"; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = orgId; sourceAttribute = orgId; }); 
            name = organ; 
        }, 
        {
            destination = "ca_TypeCredit"; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = tcdOrdre; sourceAttribute = tcdOrdre; }); 
            name = typeCredit; 
        }
    ); 
    restrictingQualifier = "((tyapId = 10) or (tyapId = 30))"; 
}
